<?




include_once '../../sys/inc/start.php';




include_once '../../sys/inc/compress.php';




include_once '../../sys/inc/sess.php';




include_once '../../sys/inc/home.php';




include_once '../../sys/inc/settings.php';




include_once '../../sys/inc/db_connect.php';




include_once '../../sys/inc/ipua.php';




include_once '../../sys/inc/fnc.php';




include_once '../../sys/inc/adm_check.php';




include_once '../../sys/inc/user.php';









$set['title']='Невидимка';
include_once '../../sys/inc/thead.php';




title();




if (!isset($user))




header("location: /index.php?");









err();




aut();









if (isset($user))




{




if (isset($_POST['stav']))




{




if ($_POST['stav']==1)




{




$st=10;




$tm=$time+86400;




}




else if ($_POST['stav']==2)




{




$st=20;




$tm=$time+172800;




}




else if ($_POST['stav']==3)




{




$st=30;




$tm=$time+259200;




}




else if ($_POST['stav']==4)




{




$st=40;




$tm=$time+345600;




}




else if ($_POST['stav']==5)




{




$st=50;




$tm=$time+432000;




}




else if ($_POST['stav']==6)




{




$st=60;




$tm=$time+518400;




}




else if ($_POST['stav']==7)




{




$st=70;




$tm=$time+604800;




}




if ($user['money']>=$st)




{









if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user_nevidimka` WHERE `id_user` = '$user[id]'"), 0)==0) {

mysql_query("INSERT INTO `user_nevidimka` (`id_user`, `anonim`, `time`) values('$user[id]', '1', '$tm')");

} else
mysql_query("UPDATE `user_nevidimka` SET `time` = '$tm', `anonim` = '1' WHERE `id_user` = '$user[id]'");





mysql_query("UPDATE `user` SET `money` = '".($user['money']-$st)."' WHERE `id` = '$user[id]' LIMIT 1");




$_SESSION['message'] = 'Поздравляем, вы успешно подключили услугу';




header("Location: index.php?");




exit;




}else{




$err='У вас не достаточно средств';




}




}




err();




echo "<div class='foot'>\n";
echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/info.php'>$user[nick]</a> | Услуга \"Невидимка\"<br />\n";
echo "</div>\n";

?>
<div class='nav1'>
<b>Услуга невидимка:</b><br />При активации данной услуги, после посещения страницы пользователей, 
в списке гостей вы будете отображаться как "Невидимка"<br/>
Услуга будет активна в зависимости от того, на сколько дней она будет активирована.<br/>
После окончания услуги в списке гостей анонимность будет сохранена.<br/>
Стоимость услуги в день: <font color='red'>10</font> монет.<br/><font color='red'>Внимание!</font> 
Невидимка не сможет просматривать приватные страницы (закрытые странички) либо если занесен в чёрный список обитателя.</div>
<?

$c2 = mysql_result(mysql_query("SELECT COUNT(*) FROM `user_nevidimka` WHERE `id_user` = '$user[id]' AND `time` > '$time'"), 0);
if ($c2 == 0)
{

?>
<form method="post" action="?">
Ставка: <select name="stav">
	<option value="1">10</option>
	<option value="2">20</option>
	<option value="3">30</option>
	<option value="4">40</option>
	<option value="5">50</option>
	<option value="6">60</option>
	<option value="7">70</option>
	</select> монет<br /><input value="Купить услугу" type="submit" />
</form>
<?

}else{
echo '<div class="mess"><img src="/style/icons/ok.gif" alt="OK"/> <font color="green">Услуга подключена</font></div>';
}


}


echo "<div class='foot'>\n";
echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/info.php'>$user[nick]</a> | Услуга \"Невидимка\"<br />\n";
echo "</div>\n";

include_once '../../sys/inc/tfoot.php';

?>